@import url('https://fonts.googleapis.com/css2?family=Oswald&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lato:wght@400;700&family=Open+Sans:wght@600;700&display=swap');

body {
    background-color: #3e3e3e;
    color: #fff;
        font-family: lato;
    background-image: url(../img/background.png);
    background-position: top left;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: 100%;
}

.lity {
    background: #0b0b0b4b !important;
    background: rgba(0,0,0,0.3) !important;
}

/*============================
#box
============================*/
div#box {
    position:relative;
    min-height: 1200px;
}
div#box div.module {
/*    border: 1px solid #777;*/
    border-radius: 5px;
    /*
    padding: 10px;
    */
    padding-top:0px;
    display: inline-block;
    position:relative;
    margin:5px;
    width:90px;
    height:90px;
    text-align: center;
    cursor: pointer;
}
div#box div.module img {
    width: 45px;
    margin-top: 7px;
    margin-bottom: 1px;
}
div#box div.module h2 {
    font-size: 13px;
    font-weight: bold;
    -webkit-transition: all .3s;
    transition: all .3s;
    line-height: 1.0em;
}


div#box div.module a.video{
position:absolute;
width: 100%;
height:100%;
top: 0px;
left: 0px;
background-image:url(../img/video.png);
background-repeat: no-repeat;
background-position-x: right;
background-position-y: top;
}

div#box div.module:hover a.video{
background-image:url(../img/video-hover.png);
}

div#box div.module div.note {
    display: ;
    position: absolute;
    display: none;
    top: 0px;
    right: -250px;
    width: 250px;
    text-align: left;
    -webkit-transition: all .3s;
    transition: all .3s;
    color: #000;
    border-radius: 5px;
    z-index: 1;
}

div#box div.module.x16 div.note,
div#box div.module.x17 div.note,
div#box div.module.x18 div.note {
        top: 0px;
        right: inherit;
    left: -260px;
}

div#box div.module div.note p {
    display: block;
    background-color: #ffffff;
    color:#fff;
    margin-left: 10px;
    height: 100%;
    border-radius: 5px;
    padding: 15px;
}

div#box div.module div.note a {
    display: inline-block;
    color:#fff;
    display:none;
}

div#box div.module {
    position: absolute;
    box-shadow: 0px 0px 10px 1px #000;
}

.x1 {left:40px;}
.x2 {left:140px;}
.x3 {left:240px;}
.x4 {left:340px;}
.x5 {left:440px;}
.x6 {left:540px;}
.x7 {left:640px;}
.x8 {left:740px;}
.x9 {left:840px;}
.x10 {left:940px;}
.x11 {left:1040px;}
.x12 {left:1140px;}
.x13 {left:1240px;}
.x14 {left:1340px;}
.x15 {left:1440px;}
.x16 {left:1540px;}
.x17 {left:1640px;}
.x18 {left:1740px;}


.y1 {top:0px;}
.y2 {top:100px;}
.y3 {top:200px;}
.y4 {top:300px;}
.y5 {top:400px;}
.y6 {top:500px;}
.y7 {top:600px;}
.y8 {top:700px;}
.y9 {top:800px;}
.y10 {top:900px;}


.module {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-transition: all .3s;
    transition: all .3s;
}


div#box div.module:hover h2 {

}

div.generator h2{
    /*
color: #73e873;
*/
}

div#box div.module:hover div.note {
    display:block;
    pointer-events: none; 
}

div.generator {

    background-color: #69d27840;
    background-color:rgba(105,210,120,0.15);
    background-color:#455447;
}

div.processor {
        background-color: #dc505040;
        background-color:rgba(220,80,80,0.25);
        background-color: #654242;
}

div.control {
background-color: #64afd240;
background-color:rgba(100,175,210,0.25);
background-color:#475a63;
}

div.logic {
    background-color: #dc7d5040;
background-color:rgba(220,125,80,0.25);
background-color: #544437;
}

div.output {    background-color: #dcc35040;
background-color:rgba(220,195,80,0.25);
background-color:#60603b;
}

/*  */

div#box div.module div.note p {
    position:relative;
    line-height: 1.2em;
}


div#box div.module div.note p:before {
content: "";
    width: 0;
    height: 0px;
    border-style: solid;
    border-width: 10px 15px 10px 0;
    position: absolute;
    left: -9px;
    top: 9px;
}

div#box div.module.x16 div.note p:before,
div#box div.module.x17 div.note p:before,
div#box div.module.x18 div.note p:before {
    border-top: 15px solid transparent;
    border-bottom: 15px solid transparent;
    border-left: 15px solid #6aa7cd;
    border-right: 0px;
    border-color: transparent;
    border-left: 15px solid #6aa7cd;
    position: absolute;
    left: inherit;
    right: -8px;
    top: 9px;
    border-color: transparent transparent transparent #56925f !important;
}

div#box div.module.x16.processor div.note p:before,
div#box div.module.x17.processor div.note p:before,
div#box div.module.x18.processor div.note p:before {
    border-color: transparent transparent transparent #974857 !important;
}

div#box div.module.x16.control div.note p:before,
div#box div.module.x17.control div.note p:before,
div#box div.module.x18.control div.note p:before {
    border-color: transparent transparent transparent #537e92 !important;
}

div#box div.module.x16.logic div.note p:before,
div#box div.module.x17.logic div.note p:before,
div#box div.module.x18.logic div.note p:before {
    border-color: transparent transparent transparent #976248 !important;
}

div#box div.module.x16.output div.note p:before,
div#box div.module.x17.output div.note p:before,
div#box div.module.x18.output div.note p:before {
    border-color: transparent transparent transparent #978948 !important;
}


div#box div.module div.note p {
box-shadow: 2px 2px 6px 2px #000;
line-height: 1.6em;
}

div#box div.module.generator div.note p {
    background-color: #56925f;
    
}

div#box div.module.generator div.note p:before  {
    border-color: transparent #56925f transparent transparent;
}

div#box div.module.processor div.note p {
    background-color: #974857;
}

div#box div.module.processor div.note p:before  {
    border-color: transparent #974857 transparent transparent;
}

div#box div.module.control div.note p {
    background-color: #537e92;
}

div#box div.module.control div.note p:before  {
    border-color: transparent #537e92 transparent transparent;
}

div#box div.module.logic div.note p {
    background-color: #976248;
}

div#box div.module.logic div.note p:before  {
    border-color: transparent #976248 transparent transparent;
}

div#box div.module.output div.note p {
    background-color: #978948;
}

div#box div.module.output div.note p:before  {
    border-color: transparent #978948 transparent transparent;
}

div.generator:hover {
    background: #69d27890;
    background-color:rgba(105,210,120,0.6);
    background: #56925f;
}

div.processor:hover {
        background: #dc505090;
        background-color:rgba(220,80,80,0.6);
        background: #974857;
}

div.control:hover {    background: #dc7d5090;
background-color:rgba(220,125,80,0.6);
background: #537e92;

}

div.logic:hover {    background: #64afd290;
background-color:rgba(100,175,210,0.6);
background: #976248;
}

div.output:hover {    background: #dcc35090;
background-color:rgba(220,195,80,0.6);
background: #978948;
}

/* --------------------------------------------------- */

body.jp{
    font-family: "游ゴシック体", YuGothic, "游ゴシック Medium", "Yu Gothic Medium", "游ゴシック", "Yu Gothic", "メイリオ", sans-serif;
    line-height: 1.6;
}



body.jp div#box div.module h2 {
    font-size: 11px;
    line-height: 1.2em;
}

/* 日本語で一部文字が長すぎて収まらない対処 */
body.jp div#box .module.x10.y7 h2 {
    font-size: 10px;
}


div#box div.module.generator div.note p b {
    display: block;
    font-weight: bold;
}

body header h1 {
color: #ff8d00;
}

body.en header h1 {
    margin-bottom: 10px;

}

/* --------------------------------------------------- */

header {padding: 40px 0px 0px 40px;    height: 115px;}
header h1 {font-size: 32px;font-weight: bold;display: inline-block;margin-right: 10px;}
header h1 img {display: block;margin-bottom: 10px;}

header div.description {
display: block;
    font-size: 21px;
    color: #fff;
}

body.jp header div.description {
    font-size: 16px;
}

    div.langandlogo {position: absolute;top: 30px;right: 30px;}
div.langandlogo div.lang {display: inline-block;vertical-align: top;margin-top: 7px;margin-right: 25px;font-size: 0px;}
div.langandlogo div.lang ul {
}
div.langandlogo div.lang ul li {border-radius:5px;display: inline-block;/* padding: 1px 25px 0px 25px; */font-weight: bold;}
div.langandlogo div.lang ul li.active {
background-color: #ff7171;
}
div.langandlogo div.lang ul li a {font-family: lato !important;line-height: 1.6em;color: #fff;text-decoration: none;font-size: 15px;padding: 1px 25px 0px 25px;}
div.langandlogo a.tsugi-logo {display: inline-block;/* font-size: 20px; */}
div.langandlogo a.tsugi-logo img {
}
div.module-explanation {margin: 15px 0px 0px 44px;}

div.module-explanation p {
    font-size: 24px;
    display: inline-block;
    margin-right: 15px;
    padding: 5px 10px;
    border-radius: 4px;
    margin-bottom: 30px;
}

body.jp div.module-explanation p {
    font-size: 14px;
}

div.module-explanation p span {
    font-size: 30px;
}

div.module-explanation p span.green {color: #7cb985;}
div.module-explanation p span.red {color: #bf4c62;}
div.module-explanation p span.orange {color: #815743;}
div.module-explanation p span.blue {color: #6aa9c7;}
div.module-explanation p span.yellow {color: #b1971b;}

/*
div#box div.module.generator.x1.y5 div.note{
    width: 550px;
    right: -553px;
}
*/
